/*
 * Web server related #defines
 */
#ifndef __WEB_H
#define __WEB_H

struct web_conn_ent {
    int s;            // socket descriptor
    int state  ;      // state of the connection
    char *file_name;            // name of file served
    int bytes_rem;              // no of bytes remaining to send 
};

#define SERVER_PORT 8080
#define MAX_WEB_CONNS 1

// Web Server States for connections
#define WEB_GET        1    // Got a Get request
#define WEB_GET_PROC   2    // processing a GET request
#define WEB_DONE       3    // done with a GET request processing
#define WEB_CONN_FREE  -1   // conn free to assign to client

extern stop_webserver;

int web(void);
void init_net(void);
void getIP(unsigned char* ipAddr);

#endif
